Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.event
Class ObjectFactory

    java.lang.Object
      org.teleal.cling.support.renderingcontrol.event.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.teleal.cling.support.renderingcontrol.event package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.renderingcontrol.event

Method Summary
`BlueVideoBlackLevel` | `createBlueVideoBlackLevel()` Create an instance of `BlueVideoBlackLevel`
`BlueVideoGain` | `createBlueVideoGain()` Create an instance of `BlueVideoGain`
`Brightness` | `createBrightness()` Create an instance of `Brightness`
`ColorTemperature` | `createColorTemperature()` Create an instance of `ColorTemperature`
`Contrast` | `createContrast()` Create an instance of `Contrast`
`Event` | `createEvent()` Create an instance of `Event`
`GreenVideoBlackLevel` | `createGreenVideoBlackLevel()` Create an instance of `GreenVideoBlackLevel`
`GreenVideoGain` | `createGreenVideoGain()` Create an instance of `GreenVideoGain`
`HorizontalKeystone` | `createHorizontalKeystone()` Create an instance of `HorizontalKeystone`
`Instance` | `createInstance()` Create an instance of `Instance`
`Loudness` | `createLoudness()` Create an instance of `Loudness`
`Mute` | `createMute()` Create an instance of `Mute`
`PresetNameList` | `createPresetNameList()` Create an instance of `PresetNameList`
`RedVideoBlackLevel` | `createRedVideoBlackLevel()` Create an instance of `RedVideoBlackLevel`
`RedVideoGain` | `createRedVideoGain()` Create an instance of `RedVideoGain`
`Sharpness` | `createSharpness()` Create an instance of `Sharpness`
`VerticalKeystone` | `createVerticalKeystone()` Create an instance of `VerticalKeystone`
`Volume` | `createVolume()` Create an instance of `Volume`
`VolumeDB` | `createVolumeDB()` Create an instance of `VolumeDB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.renderingcontrol.event

Method Detail

### createSharpness

    public Sharpness createSharpness()

  Create an instance of `Sharpness`

### createRedVideoGain

    public RedVideoGain createRedVideoGain()

  Create an instance of `RedVideoGain`

### createHorizontalKeystone

    public HorizontalKeystone createHorizontalKeystone()

  Create an instance of `HorizontalKeystone`

### createPresetNameList

    public PresetNameList createPresetNameList()

  Create an instance of `PresetNameList`

### createRedVideoBlackLevel

    public RedVideoBlackLevel createRedVideoBlackLevel()

  Create an instance of `RedVideoBlackLevel`

### createVerticalKeystone

    public VerticalKeystone createVerticalKeystone()

  Create an instance of `VerticalKeystone`

### createGreenVideoBlackLevel

    public GreenVideoBlackLevel createGreenVideoBlackLevel()

  Create an instance of `GreenVideoBlackLevel`

### createBrightness

    public Brightness createBrightness()

  Create an instance of `Brightness`

### createInstance

    public Instance createInstance()

  Create an instance of `Instance`

### createBlueVideoBlackLevel

    public BlueVideoBlackLevel createBlueVideoBlackLevel()

  Create an instance of `BlueVideoBlackLevel`

### createGreenVideoGain

    public GreenVideoGain createGreenVideoGain()

  Create an instance of `GreenVideoGain`

### createLoudness

    public Loudness createLoudness()

  Create an instance of `Loudness`

### createVolume

    public Volume createVolume()

  Create an instance of `Volume`

### createMute

    public Mute createMute()

  Create an instance of `Mute`

### createBlueVideoGain

    public BlueVideoGain createBlueVideoGain()

  Create an instance of `BlueVideoGain`

### createColorTemperature

    public ColorTemperature createColorTemperature()

  Create an instance of `ColorTemperature`

### createEvent

    public Event createEvent()

  Create an instance of `Event`

### createContrast

    public Contrast createContrast()

  Create an instance of `Contrast`

### createVolumeDB

    public VolumeDB createVolumeDB()

  Create an instance of `VolumeDB`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.